Bug 1409864 - [Intel OSP13] IPMI Plugin support for Analog and Discrete sensors
Summary: [Intel OSP13] IPMI Plugin support for Analog and Discrete sensors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Linux
medium
urgent
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: Ryan McCabe
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: intel-collectd 1476902 1573955
TreeView+ depends on / blocked
 
Reported: 2017-01-03 16:33 UTC by damien Power
Modified: 2019-11-12 07:38 UTC (History)
17 users (show)

Fixed In Version: collectd-5.8.1-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1409814
Environment:
Last Closed: 2019-11-12 07:38:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github collectd collectd pull 2071 0 'None' closed ipmi plugin: add more analog sensors support 2020-02-10 13:19:12 UTC
Github collectd collectd pull 2091 0 'None' closed ipmi: add support for system event log (SEL). 2020-02-10 13:19:12 UTC

Description damien Power 2017-01-03 16:33:02 UTC
+++ This bug was initially created as a clone of Bug #1409814 +++

1. Feature Overview:
a) Name of feature: IPMI Plugin support for Analog and Discrete sensors

Feature Description: 
IPMI plugin will report analog sensor e.g. platform thermals, voltages, fanspeed and suport for discrete sensors via SEL Log.
The collectd reporting of IPMI analog and discrete sensors should be supported in OSP.

Support can be seen at 
(https://github.com/collectd/collectd/pull/2071)
Support for System Event Log: SEL (https://github.com/collectd/collectd/pull/2091)

2. Feature Details:
a) Architectures:
b) Bugzilla Dependencies:
c) Drivers or hardware dependencies: n/a
d) Upstream acceptance information: Spec and implementation in progress.

e) External links:

f) Severity (H,M,L): M
g) Feature Needed by:

3. Business Justification:
a) Why is this feature needed?
b) What hardware does this enable? n/a
c) Is this hardware on-board in a system (eg, LOM) or an add-on card? No
d) Business impact? n.a
e) Other business drivers:

4. Primary contact at Red Hat, email, phone (chat):

5. Primary contact at Partner, email, phone (chat):
Rob Love
robert.w.love@intel.com

Comment 1 damien Power 2017-03-30 13:32:25 UTC
This plugin(s) has PR to collectd and awaiting comment.

Comment 2 Robert Love 2017-04-06 16:36:21 UTC
Not yet upstream, RH concerned about capacity for OSP12, so moving to target Queen release.

Comment 3 Matthias Runge 2017-05-19 06:41:25 UTC
Is this the following PR upstream? https://github.com/collectd/collectd/pull/2071

Bumping this bug to Queens, until it was merged and something new released.

Comment 4 damien Power 2017-05-24 12:42:19 UTC
Ok with move to Queens.
PR is still open.

Comment 5 Fabio Massimo Di Nitto 2017-06-06 15:07:27 UTC
As agreed, changing bz bits and pieces to target OSP13. Please review this bz again during 13 devel phase.

Comment 6 Matthias Runge 2017-09-05 08:19:14 UTC
still not merged upstream

Comment 10 tony.b.mcmahon 2017-12-15 11:57:01 UTC
Available in collectd 5.8 (released on November 11th 2017)

Comment 14 sunku ranganath 2018-08-03 17:40:00 UTC
The Severity has been increased to "Urgent" due to customer request.

Comment 15 Sean Merrow 2018-08-03 18:16:26 UTC
Hi Matthias,

Since we are shipping collectd 5.8 with OSP 13, should this BZ be closed currentrelease or is there still something to do left?

Thanks,
Sean

Comment 16 Matthias Runge 2018-08-08 06:15:24 UTC
The plugin is included in collectd builds, but it has not been added to kolla in pike or queens release. However, it was added for rocky (osp14), and configuration was added to puppet-collectd as well.

Comment 19 Pragyan Pathi 2019-01-17 17:33:44 UTC
Mathias did you pull this in for Red Hat OSP15?
Thanks

Comment 20 Matthias Runge 2019-01-17 18:10:56 UTC
Pragyan, it looks like the plugin is already included in OSP14, but didn't get any testing.

Comment 34 Leonid Natapov 2019-04-25 05:52:03 UTC
ipmi plugin exist and successfully loded.

Comment 37 Matthias Runge 2019-11-12 07:38:38 UTC
According to our records, this bug should be fixed in the current release.


Note You need to log in before you can comment on or make changes to this bug.